Recent

Author Topic: Problem installing Lazarus...  (Read 15265 times)

thoubo

  • Newbie
  • Posts: 1
Problem installing Lazarus...
« on: September 28, 2004, 08:51:50 am »
I followed those steps...

I installed xcode 1.5 a few weeks ago with the dev tools, I allready had install X11 and fink.

With finkCommander I installed gtk-pixbuf, gtk+, gtk+-data, gtk+-shlibs, gtk-doc, gtkglarea and gtk-engines.

Then in the terminal :

defaults write com.apple.x11 wm_click_through -bool true
bash
export CVSROOT=:pserver:cvs@cvs.freepascal.org:/FPC/CVS
cvs login
cvs
cvs -z3 co fpc
cd /Users/username/fpc
cvs -z3 update -dP

And finally, in another window of the Terminal :

export CVSROOT=:pserver:cvs@cvs.freepascal.org:/FPC/CVS
cvs login
cvs
cvs -z3 co lazarus
cd lazarus
make

at this point, it writes this :

make: ppc386: Command not found
make: ppc386: Command not found
make: ppc386: Command not found
make: ppc386: Command not found
make: ppc386: Command not found
Makefile:154: *** The Makefile doesn't support target , please run fpcmake first.  Stop.

Could you help me out please ?

Marc

  • Administrator
  • Hero Member
  • *
  • Posts: 2512
Problem installing Lazarus...
« Reply #1 on: September 28, 2004, 11:52:39 am »
Quote
export CVSROOT=:pserver:cvs@cvs.freepascal.org:/FPC/CVS
cvs login
cvs
cvs -z3 co fpc
cd /Users/username/fpc
cvs -z3 update -dP

Having the latest source without having the latest compiler might cause troubles (but if you already have a 1.9.5 compiler, it is not a big problem since tehe sources are only used for reference)

Quote
make: ppc386: Command not found


This is strange. It should use ppcppc. Somehow make doesn't recognize the ppc. Do you have gnu make (gmake ?)
//--
{$I stdsig.inc}
//-I still can't read someones mind
//-Bugs reported here will be forgotten. Use the bug tracker

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #2 on: September 28, 2004, 04:13:16 pm »
i have the 1.9.5 compiler...
i'm on osX 1.3.5
i also tried gmake but it don't reconize the function

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #3 on: November 03, 2004, 11:38:50 am »
ppc386: Command not found

i have the same problem. Please can anyone help?

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #4 on: November 10, 2004, 07:43:50 pm »
ok i found the solution :)

the PATH was not set :
PATH=$PATH:/usr/local/bin
in the terminal an 'make' runs :)

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #5 on: December 11, 2004, 02:15:43 pm »
Quote from: "Anonymous"
ok i found the solution :)

the PATH was not set :
PATH=$PATH:/usr/local/bin
in the terminal an 'make' runs :)


Indeed. The makefiles use the fpc utility to figure out the platform they are running on. If the fpc utility cannot be found, the makefiles assume an i386 platform.

mischi

  • Full Member
  • ***
  • Posts: 136
Problem installing Lazarus...
« Reply #6 on: December 11, 2004, 10:19:32 pm »
When I encountered the problem, I simply symlinked ppcppc and named the link ppc386 with:
cd /pp/bin        -- adjust this to the directory, where your programs live, such as /usr/bin or /usr/local/bin
ln -s ../lib/fpc/1.9.5/ppcppc ppc386  -- again, you have to adjust it to where your ppcppc lives.

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #7 on: February 13, 2005, 04:34:48 pm »
Quote from: "Anonymous"
ok i found the solution :)
the PATH was not set :
PATH=$PATH:/usr/local/bin
in the terminal an 'make' runs :)

When I try this, I get an error message:
tcsh: Bad : modifier in $ (/).

What do I need to do to fix this?  TIA.

(I am mostly ignorant of these types of things; maybe others
are too.  Wouldn't it be good if someone updated the makefile
to corect this issue?)

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #8 on: February 27, 2005, 07:14:53 pm »
Quote from: "Anonymous"
When I try this, I get an error message:
tcsh: Bad : modifier in $ (/).

What do I need to do to fix this?  TIA.

(I am mostly ignorant of these types of things; maybe others
are too.  Wouldn't it be good if someone updated the makefile
to corect this issue?)

OK.  I finally figured out I needed  to use the 'sh' shell.
So (for anyone else as ignorant of these things as me), type:
$ sh
$ PATH=$PATH:/usr/local/bin
$ make clean all
But after compiling, I get an error linking...
> Linking ./lazarus
> /usr/bin/ld: can't locate file for: -lglib-1.2.0
> lazarus.pp(98,1) Error: Error while linking
> make[1]: *** [lazarus] Error 1
> make: *** [ide] Error 2

What gives?  What do I fix now?  TIA

Vincent Snijders

  • Administrator
  • Hero Member
  • *
  • Posts: 2661
    • My Lazarus wiki user page
Problem installing Lazarus...
« Reply #9 on: February 28, 2005, 08:42:24 am »
Did you install the gtk developement libraries? They make (on linux) the necessary symlinks.

If you already have glib-1.2.0.so installed, try:
make all OPT="-Fl/path/to/glib-1.2.0.so"

Please report the path you used, if successful. Maybe it can be added to the make file.

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #10 on: February 28, 2005, 09:45:47 pm »
Quote from: "Vincent"
Did you install the gtk developement libraries? They make (on linux) the necessary symlinks.

If you already have glib-1.2.0.so installed, try:
make all OPT="-Fl/path/to/glib-1.2.0.so"

Please report the path you used, if successful. Maybe it can be added to the make file.
I had not grabbed gtk.  Do I DL the linux version and compile it?  If so, I got an error from the make:
glibconfig.inc(62,20) Error: Overflow in arithmetic operation
glib2.pas(166,1) Fatal: There were 1 errors compiling module, stopping
make: *** [allunits.ppu] Error 1
If not, what to I do for Mac OS X, as I do not see an .so file in it, or any other extension that looks like a library.  TIA.

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #11 on: March 14, 2005, 09:45:28 pm »
You should install fink (http://fink.sourceforge.net) and install gdk (and the other libraries mentioned by the first poster in this thread) using that. Mac OS X dynamic libraries end in ".dylib".

The error you got has nothing to do with the absence of gdk, however. What version of the compiler did you use? And do you still get that error today?

Anonymous

  • Guest
Problem installing Lazarus...
« Reply #12 on: March 17, 2005, 11:02:24 pm »
OK.  I installed fink.  Then using it I installed  gtk+, gtk+-data, gtk-doc, gtkglarea and gtk-engines & gdk-pixbuf.  After that lazarus compiled and linked.  I then downloaed the latest X11.  I can start '/Developer/lazarus/startlazarus' from the X11 terminal.

I had to figure out how to configure it.  But it looks great.

But there's one major problem, I have no "=" key; lazarus treats it as a down arrow.  On to search the web board for that solution...

Thanks, y'all.

Clueless one

 

TinyPortal © 2005-2018